// -----------------------------------------------------------------------
// /etc/named.conf
// -----------------------------------------------------------------------
//
// named.conf
//
// Provided by Red Hat bind package to configure the ISC BIND named(8) DNS
// server as a caching only nameserver (as a localhost DNS resolver only).
//
// See /usr/share/doc/bind*/sample/ for example named configuration files.
//
// -----------------------------------------------------------------------
// cf http://kajuhome.com/bind.shtml
// -----------------------------------------------------------------------

options {
    listen-on port 53 { any; };
//    listen-on-v6 port 53 { ::1; };
    directory           "/var/named";
    dump-file           "/var/named/data/cache_dump.db";
    statistics-file     "/var/named/data/named_stats.txt";
    memstatistics-file  "/var/named/data/named_mem_stats.txt";
    allow-query     { any; };
    recursion yes;

    dnssec-enable yes;
    dnssec-validation yes;
    dnssec-lookaside auto;

    /* Path to ISC DLV key */
    bindkeys-file "/etc/named.iscdlv.key";

//    allow-transfer{
//        xxx.xxx.xxx.xxx;
//    };
    forwarders{
        192.168.0.1;
    };

};

logging {
    channel default_debug {
        file "data/named.run";
        severity dynamic;
    };
    category lame-servers { null; };
};

view "internal" {
    match-clients { localhost; localnets; };
    recursion yes;

    zone "." IN {
        type hint;
        file "named.ca";
    };

    include "/etc/named.rfc1912.zones";
    include "/etc/named.root.key";

    zone "tokaido.net" {
        type master;
        file "tokaido.net.lan";
        allow-update { none; };
    };
    zone "0.168.192.in-addr.arpa" {
        type master;
        file "0.168.192.in-addr.arpa.db";
        allow-update { none; };
    };
};

